:root {
  --color-primary: #77BFE2;
  --color-secondary: #DF887C;
  --color-accent-1: #FCE786;
  --color-accent-2: #F6CA00;
  --color-neutral: #ECECEC;
  --color-white: #FFFFFF;
  --color-black-1: #4D4545;
  --color-black-10: #383131;
}

body {
  background-color: var(--color-primary);
  text-align: center;
  color: var(--color-black-1);
  padding: 0; /* Removes browser defaults */
  margin: 0; /* Removes browser defaults */
  overflow-y: scroll; /* Show scroll bar to prevent layout shift */
}

nav ul {
  list-style: none;
  padding: 20px 0; /* Remove left/right padding for bullet*/
  margin: 0;
}

nav li {
  display: inline;
}

nav a {
  color: var(--color-neutral);
  font-size: 22px;
  padding: 18px;
}

nav a:hover {
  background-color: var(--color-black-1);
  color: var(--color-accent-1);
  text-decoration: none;
  border-radius: 6px;
}

h1 {
  color: var(--color-black-1);
  font-family: "Oswald", sans-serif;
  font-size: 46px;
  padding: 0 0 40px 0; /* padding bottom = nav ul padding + extra padding */
  margin: 0;
}

h2 {
  font-family: "Oswald", sans-serif;
  font-size: 28px;
  padding: 0;
  margin: 0;
}

h3 {
  font-family: "Oswald", sans-serif;
  font-size: 20px;
  padding: 0;
  margin: 0;
}

p {
  font-family: "Fira Sans", sans-serif;
  font-size: 16px;
  margin: 0;
}

a {
  font-family: "Fira Sans", sans-serif;
  text-decoration: none;
  color: var(--color-accent-1);
}

a:hover {
  text-decoration: underline;
  color: var(--color-accent-2);
}

.page-container {
  position: relative;
  min-height: 100vh;
}

.content-wrap {
  padding-bottom: 3.5rem; /* footer height */
}

.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 3.5rem; /* footer height */
}

.footer ul {
  padding: 1rem 0 0 0;
  margin: 0;
}

.footer li {
  list-style: none;
  padding: 0;
  margin: 0;
}

.selected {
  text-shadow: 3px 3px #333333;
}

.heading-detail {
  font-size: 20px;
  padding: 25px 0;
}

.note {
  font-size: 18px;
  padding-top: 50px;
}

.button {
  background-color: var(--color-neutral);
  color: var(--color-black-1);
  text-decoration: none;
  padding: 10px;
  border: 3px solid var(--color-black-1);
  border-radius: 6px;
  box-shadow: 1px 2px 6px rgba(0, 0, 0, 0.3);
}

.button:hover {
  background-color: var(--color-accent-1);
  color: var(--color-black-1);
  text-decoration: none;
  }

.bold {
  font-weight: bold;
}

.line {
  height: 1px;
  width: 50%;
  background: var(--color-black-1);
  margin: 5px auto;
}